DtMmdbBookGetLongTitle(library call)

NAME
DtMmdbBookGetLongTitle — obtains the long title of a book

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbBookGetLongTitle(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbBookGetLongTitle function returns the long title of the specified book object. Do not use the free function on the returned pointer. Table lookup is involved when the identifier is specified by either the primary_oid or sequence_num field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as a valid value in the primary_oid, the secondary_oid, or the sequence_num field. The primary_oid represents the DtInfo Database object identifier of the TOC section; the secondary_oid represents the object identifier of the book itself; and the sequence_num represents the sequence number of the book within the bookcase (0 based). If more than one of these fields have a valid value, the order of precedence is: primary_oid, secondary_oid, and, last, sequence_num.

length
    Specifies the variable to receive the length of the returned long title, if the returned pointer to the title is not NULL.

RETURN VALUE

If DtMmdbBookGetLongTitle completes successfully, it returns a pointer to the book's long title. If it fails, it returns a NULL pointer.

EXAMPLE

None.

SEE ALSO

DtMmdbBookGetShortTitle(3)